Package uk.ac.starlink.topcat.join

## Interface DalMultiService

-     public interface DalMultiService

  Defines service-type-specific aspects of how to do a multiple query against a positional (cone-like) DAL service.
  Since:
    30 Sep 2009
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `allowNullSize()` | Indicates whether a blank value is permissible for the search radius (or diameter, or whatever).
    `uk.ac.starlink.ttools.cone.ConeSearcher` | `createSearcher​(java.net.URL url, uk.ac.starlink.table.StarTableFactory tfact, uk.ac.starlink.util.ContentCoding coding)` | Constructs a cone searcher object for this service type.
    `uk.ac.starlink.vo.Capability` | `getCapability()` | Returns the capability defining this service type.
    `javax.swing.JComponent` | `getControlPanel()` | Returns a panel with custom controls specific to this service type.
    `uk.ac.starlink.ttools.cone.Coverage` | `getCoverage​(java.net.URL url)` | Gets a coverage description for this service.
    `java.lang.String` | `getLabel()` | Returns a short label for this service type.
    `java.lang.String` | `getName()` | Returns the name of this service type.
    `java.lang.String` | `getResourceListType()` | Returns the voresource subtype for this service as used in voresource.loadlist.* MTypes.
    `uk.ac.starlink.table.ValueInfo` | `getSizeInfo()` | Returns metadata describing the search radius (or diameter, or whatever) parameter used by this query.
    `boolean` | `hasCoverages()` | Indicates whether this service is capable of supplying coverage information.
    `void` | `setSizeDefault​(ColumnSelector sizeSelector)` | Configures the column selector representing search radius (or diameter, or whatever) to some sensible default value.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of this service type.
      Returns:
        short name

    - #### getLabel

          java.lang.String getLabel()

      Returns a short label for this service type.
      Returns:
        short label - no spaces, just a few lower case characters

    - #### getCapability

          uk.ac.starlink.vo.Capability getCapability()

      Returns the capability defining this service type.
      Returns:
        capapbility type

    - #### getResourceListType

          java.lang.String getResourceListType()

      Returns the voresource subtype for this service as used in voresource.loadlist.* MTypes.
      Returns:
        voresource MType subtype

    - #### getSizeInfo

          uk.ac.starlink.table.ValueInfo getSizeInfo()

      Returns metadata describing the search radius (or diameter, or whatever) parameter used by this query.
      Returns:
        search size metadata

    - #### setSizeDefault

          void setSizeDefault​(ColumnSelector sizeSelector)

      Configures the column selector representing search radius (or diameter, or whatever) to some sensible default value.
      Parameters:
        `sizeSelector` - search size value selector component

    - #### allowNullSize

          boolean allowNullSize()

      Indicates whether a blank value is permissible for the search radius (or diameter, or whatever).
      Returns:
        true iff null size values make sense for this service type

    - #### getControlPanel

          javax.swing.JComponent getControlPanel()

      Returns a panel with custom controls specific to this service type.
      Returns:
        custom component container, or null

    - #### createSearcher

          uk.ac.starlink.ttools.cone.ConeSearcher createSearcher​(java.net.URL url,
                                                                 uk.ac.starlink.table.StarTableFactory tfact,
                                                                 uk.ac.starlink.util.ContentCoding coding)

      Constructs a cone searcher object for this service type.
      Parameters:
        `url` - service URL
        `tfact` - table factory
        `coding` - controls HTTP-level byte stream compression; this hint may be ignored by implementations
      Returns:
        cone searcher object

    - #### hasCoverages

          boolean hasCoverages()

      Indicates whether this service is capable of supplying coverage information.
      Returns:
        false if `getCoverage` will always return false

    - #### getCoverage

          uk.ac.starlink.ttools.cone.Coverage getCoverage​(java.net.URL url)

      Gets a coverage description for this service.
      Parameters:
        `url` - service URL
      Returns:
        coverage coverage object, or null